
import "Turbine";
import "Compendium.Common.Utils";

--[[

 Below are the resource strings for the following game clients

	de - German
	fr - French
 	en - English

 Translate the value on the right hand side.  The key (on the left) must stay as is.

]] 
local clientResources = {
	en = {
		["target"]                         = ";target",
		["loc"]                            = ";loc",
		["saychat"]					   	   = "/say",
		["kinchat"]					       = "/k",
		["fellowchat"]					   = "/f",
		["raidchat"]					   = "/ra",
		["tradechat"]					   = "/trade",		
		["userchat1"]					   = "/1",	
		["userchat2"]					   = "/2",	
		["userchat3"]					   = "/3",	
		["userchat4"]					   = "/4",	
		["officerchat"]                    = "/o",		
		["advicechat"]                     = "/advice"
	},
	de = {
		["target"]                         = ";ziel",
		["loc"]                            = ";pos",
		["saychat"]					   	   = "/sagen",
		["kinchat"]					       = "/sc",
		["fellowchat"]					   = "/g",
		["raidchat"]					   = "/sz",
		["tradechat"]					   = "/handel",	
		["userchat1"]					   = "/1",	
		["userchat2"]					   = "/2",	
		["userchat3"]					   = "/3",	
		["userchat4"]					   = "/4",	
		["officerchat"]                    = "/so",		
		["advicechat"]                     = "/beratung"		
	},
	fr ={
		["target"]                         = ";cible",
		["loc"]                            = ";loc",
		["saychat"]					   	   = "/parler",
		["kinchat"]					       = "/conf",
		["fellowchat"]					   = "/comm",
		["raidchat"]					   = "/ra",
		["tradechat"]					   = "/échanger",		
		["userchat1"]					   = "/1",	
		["userchat2"]					   = "/2",	
		["userchat3"]					   = "/3",	
		["userchat4"]					   = "/4",		
		["officerchat"]                    = "/off",		
		["advicechat"]                     = "/conseil"	
	}
}

local resources = {
	en = {
		["language"]                       = "Language (requires reload): ",
		["en"]                        	   = "English",
		["de"]                        	   = "German",
		["fr"]                        	   = "French",
	
		["advice"]                         = "Advice",	
		["officer"]                        = "Officer",
		["say"]                        	   = "Say",
		["kinship"]                        = "Kinship",
		["fellowship"]                     = "Fellowship",
		["raid"]                           = "Raid",
		["tradewtb"]                       = "Trade WTB",
		["user1"]                      	   = "User Chat 1",
		["user2"]                          = "User Chat 2",
		["user3"]                          = "User Chat 3",
		["user4"]                          = "User Chat 4",
	
		
		["fontsize"]					   = "Font Size (requires reload)",
		["fontsmall"]					   = "Small",
		["fontlarge"]					   = "Large",
		
		["fromcomp"]					   = "from compendium",
		["from"]						   = "from:",
		["to"]						   	   = "to:",
		["prev"]						   = "  Prev",  -- note that spaces here were for providing better positioning in buttons
		["next"]						   = " Next",
		["results"]						   = "Results",
		["page"]						   = "Page",
		
		["linkitem"]					   = "Link Item To Chat",
		["aboutcomp"]					   = "About Compendium",
		["aboutmessage"]				   = "To Open Compendium:\n      /comp or /Compendium\n\nVisit us at: \n   http://lotrocompendium.sourceforge.net/\n\nMore coming soon!\n\nSpecial Thanks to the folks at lotrointerface.com\n\n© 2011 Lunarwater  |  Apache License V2.0",
		["add"]                            = "Add",
		["area"]                           = "Area:",
		["bestower"]                       = "Bestower:",
		["comments"]                       = "Comments",
		["craftable"]                      = "Craftable",
		["crafting"]                       = "Crafting",
		["crit"]                           = "Crit:",
		["custom"]                         = "Custom",
		["complete"]					   = "Complete",
		["incomplete"]					   = "Incomplete",
		["deed"]                           = "Deed",
		["deeds"]                          = "Deeds",
		["description"]                    = "Description",
		["destinypoints"]                  = "Dest Pts",
		["download"]                       = "Download MoorMaps addon and Compendium can show you locations on Map!",
		["faction"]                        = "Faction:",
		["fadewindow"]                     = "Fade window when mouse leaves.",
		["filterby"]                       = "Filter By",
		["filters"]                        = "Filters:",
		["in"]                             = "in",
		["inCapt"]                         = "In",
		["ingredients"]                    = "Ingredients",
		["instanced"]                      = "Instanced:",
		["item"]                           = "Item",
		["items"]                          = "Items",
		["icon"]                           = "Show Icon",
		["iconmini"]                       = "Show Mini Icon (16x16)",
		["learn"]                          = "Learn:",
		["legendary"]					   = "Legendary",		
		["level"]                          = "Level:",
		["levellt"]                        = "Levels < %s",
		["levelgt"]                        = "Levels > %s",
		["levelbtwn"]                      = "Levels %s-%s",
		["loading"]                        = "Loading",
		["loadscompendium"]                = "Load %s Compendium (requires reload).",
		["lvl"]                            = "lvl",
		["minlevel"]                       = "Min Level:",
		["mob"]                            = "Mob",
		["mobsnpcsofinterest"]             = "Mobs/NPCs of Interest:",
		["miscpoi"]						   = "Misc Point of Interest",
		["money"]                          = "Money",
		["name"]                           = "Name:",
		["nextdeeds"]                      = "Next Deed(s):",
		["nextquests"]                     = "Next Quest(s):",
		["nodeedselected"]                 = "No deed selected",
		["nofiltersset"]                   = "No filters set",
		["noquestselected"]                = "No quest selected",
		["notice"]                         = "Notice",
		["objectives"]                     = "Objectives",
		["ok"]                             = "Ok",
		["pointsofinterest"]               = "Points of Interest:",
		["prereqs"]                        = "Prereq(s):",
		["quest"]                          = "Quest",
		["questchain"]                     = "Quest Chain:",
		["questreward"]                    = "Quest Reward",
		["receive"]                        = "Receive",
		["reg"]                            = "Reg:",
		["rep"]                            = "Rep",
		["reputation"]                     = "Reputations",
		["repeatable"]                     = "Repeatable:",
		["reload"]						   = "Reload",
		["reset"] 						   = "reset",
		["savingcomplete"]                 = "Saving complete.",
		["savingdeeds"]                    = "Saving deeds...",
		["savingquests"]                   = "Saving quests...",
		["search"]                         = "Search:",
		["selectoneof"]                    = "Select One Of",
		["settings"]                       = "Settings",
		["showscompendium"]                = "Shows Compendium.",
		["showsthecompendiumwindow"]       = "Shows the Compendium window.",
		["tier"]                           = "Tier",
		["titles"]                         = "Titles",
		["traits"]                         = "Traits",
		["type"]                           = "Type:",
		["unknown"]                        = "(unknown)",
		["unloadingcompendium"]            = "Unloading Compendium..",
		["usage"]                          = "Usage:",
		["version"]                        = "version",
		["virtues"]                        = "Virtues",
		["zone"]                           = "Zone:",

		-- NOTE THAT IF FILTER IS NOT FOUND HERE, It just uses the key for the resource value
		["FILTERS"]	= {
			["All"]					=	"All",
			["Armour"]				=	"Armour",
			["Axe"]					=	"Axe",
			["Back"]				=	"Back",
			["Bagpipe"]				=	"Bagpipe",
			["Bait"]				=	"Bait",
			["Barter"]				=	"Barter",
			["Barter: Reputation"]	=	"Barter: Reputation",
			["Barter: Skirmish"]	=	"Barter: Skirmish",
			["Book"]				=	"Book",
			["Bow"]					=	"Bow",
			["Burglar"]				=	"Burglar",
			["Captain"]				=	"Captain",
			["Champion"]			=	"Champion",
			["Clarinet"]			=	"Clarinet",
			["Class"]				=	"Class",
			["Class Items"]			=	"Class Items",
			["Club"]				=	"Club",
			["Cook"]				=	"Cook",
			["Cooking"]				=	"Cooking",
			["Cowbell"]				=	"Cowbell",
			["Craftable"]			=	"Craftable",
			["Craft: Component"]	=	"Craft: Component",
			["Craft"]				=	"Craft",
			["Crafting"]			=	"Crafting",
			["Craft: Ingredient"]	=	"Craft: Ingredient",
			["Craft: Optional Ingredient"]	=	"Craft: Optional Ingredient",
			["Craft: Resource"]		=	"Craft: Resource",
			["Crossbow"]			=	"Crossbow",
			["Custom"]				=	"Custom",
			["Dagger"]				=	"Dagger",
			["Deconstructables"]	=	"Deconstructables",
			["Deed Type"]			=	"Deed Type",
			["Dest Pts"]			=	"Dest Pts",
			["Device"]				=	"Device",
			["Drum"]				=	"Drum",
			["Dye"]					=	"Dye",
			["Ear"]					=	"Ear",
			["Emote"]				=	"Emote",
			["Epic"]				=	"Epic",
			["Event"]				=	"Event",
			["Explorer"]			=	"Explorer",
			["Faction"]				=	"Faction",
			["Farmer"]				=	"Farmer",
			["Farming"]				=	"Farming",
			["Feet"]				=	"Feet",
			["Fellowship"]			=	"Fellowship",
			["Finger"]				=	"Finger",
			["Fish"]				=	"Fish",
			["Flute"]				=	"Flute",
			["Food"]				=	"Food",
			["Forester"]			=	"Forester",
			["Forestry"]			=	"Forestry",
			["Free People"]			=	"Free People",
			["Guardian"]			=	"Guardian",
			["Halberd"]				=	"Halberd",
			["Hammer"]				=	"Hammer",
			["Hands"]				=	"Hands",
			["Harp"]				=	"Harp",
			["Head"]				=	"Head",
			["Heavy"]				=	"Heavy",
			["Home: Ceiling"]		=	"Home: Ceiling",
			["Home: Floor"]			=	"Home: Floor",
			["Home: Furniture"]		=	"Home: Furniture",
			["Home"]				=	"Home",
			["Home: Music"]			=	"Home: Music",
			["Home: Paints & Surfaces"]	=	"Home: Paints & Surfaces",
			["Home: Special"]		=	"Home: Special",
			["Home: Trophy"]		=	"Home: Trophy",
			["Home: Wall"]			=	"Home: Wall",
			["Home: Yard"]			=	"Home: Yard",
			["Horn"]				=	"Horn",
			["Hunter"]				=	"Hunter",
			["Instrument"]			=	"Instrument",
			["Items"]				=	"Items",
			["Javelin"]				=	"Javelin",
			["Jeweller"]			=	"Jeweller",
			["Jewellery"]			=	"Jewellery",
			["Key"]					=	"Key",
			["Legendary"]			=	"Legendary",
			["Legs"]				=	"Legs",
			["Level Ranges"]		=	"Level Ranges",
			["License"]				=	"License",
			["Light"]				=	"Light",
			["Lore"]				=	"Lore",
			["Lore-master"]			=	"Lore-master",
			["Lute"]				=	"Lute",
			["Mace"]				=	"Mace",
			["Medium"]				=	"Medium",
			["Metalsmith"]			=	"Metalsmith",
			["Metalworking"]		=	"Metalworking",
			["Minstrel"]			=	"Minstrel",
			["Misc."]				=	"Misc.",
			["Money"]				=	"Money",
			["Monster"]				=	"Monster",
			["MoreCowbell"]			=	"MoreCowbell",
			["Mounts"]				=	"Mounts",
			["Neck"]				=	"Neck",
			["One-handed"]			=	"One-handed",
			["Other"]				=	"Other",
			["Outfit: Class"]		=	"Outfit: Class",
			["Perks"]				=	"Perks",
			["Pipeweed"]			=	"Pipeweed",
			["Pocket"]				=	"Pocket",
			["Poles"]				=	"Poles",
			["Potion"]				=	"Potion",
			["Prospecting"]			=	"Prospecting",
			["Prospector"]			=	"Prospector",
			["Quest Chains"]		=	"Quest Chains",
			["Quest Item"]			=	"Quest Item",
			["Quest Reward"]		=	"Quest Reward",
			["Quest Type"]			=	"Quest Type",
			["Raid"]				=	"Raid",
			["Ranged"]				=	"Ranged",
			["Recipe"]				=	"Recipe",
			["Repeatable"]			=	"Repeatable",
			["Rep"]					=	"Rep",
			["Reputation"]			=	"Reputation",
			["Rewarded"]			=	"Rewarded",
			["Rune-keeper"]			=	"Rune-keeper",
			["Rune-stone"]			=	"Rune-stone",
			["Scholar"]				=	"Scholar",
			["Scroll"]				=	"Scroll",
			["Shield"]				=	"Shield",
			["Shield-spikes"]		=	"Shield-spikes",
			["Shoulders"]			=	"Shoulders",
			["Slayer"]				=	"Slayer",
			["Small Fellowship"]	=	"Small Fellowship",
			["Social Item"]			=	"Social Item",
			["Source"]				=	"Source",
			["Spear"]				=	"Spear",
			["Special"]				=	"Special",
			["Staff"]				=	"Staff",
			["Sword"]				=	"Sword",
			["Tailor"]				=	"Tailor",
			["Theorbo"]				=	"Theorbo",
			["Tier 1"]				=	"Tier 1",
			["Tier 2"]				=	"Tier 2",
			["Tier 3"]				=	"Tier 3",
			["Tier 4"]				=	"Tier 4",
			["Tier 5"]				=	"Tier 5",
			["Tier 6"]				=	"Tier 6",
			["Titles"]				=	"Titles",
			["Tomes"]				=	"Tomes",
			["Tool"]				=	"Tool",
			["Traits"]				=	"Traits",
			["Trap"]				=	"Trap",
			["Travel & Maps"]		=	"Travel & Maps",
			["Trophy"]				=	"Trophy",
			["Two-handed"]			=	"Two-handed",
			["Unknown"]				=	"Unknown",
			["Upperbody"]			=	"Upperbody",
			["Virtues"]				=	"Virtues",
			["Warden"]				=	"Warden",
			["Weapon Oils"]			=	"Weapon Oils",
			["Weaponsmith"]			=	"Weaponsmith",
			["Weapon"]				=	"Weapon",
			["Woodworker"]			=	"Woodworker",
			["Woodworking"]			=	"Woodworking",
			["Wrist"]				=	"Wrist",
			["Zone"]				=	"Zone"
		}
	},
	de = {
		["language"]                       = "Sprache (reload notwendig): ",
		["en"]                        	   = "Englisch",
		["de"]                        	   = "Deutsch",
		["fr"]                        	   = "Französisch",
		
		["advice"]                         = "Beratung",	
		["officer"]                        = "Offiziere",		
		["say"]                        	   = "sage",
		["kinship"]                        = "Sippe",
		["fellowship"]                     = "Gruppe",
		["raid"]                           = "Schlachtzug",
		["tradewtb"]                       = "Handel",
		["user1"]                      	   = "Benutzerchat 1",
		["user2"]                          = "Benutzerchat 2",
		["user3"]                          = "Benutzerchat 3",
		["user4"]                          = "Benutzerchat 4",
						
		["fontsize"]					   = "Schriftgröße (reload notwendig)",
		["fontsmall"]					   = "klein",
		["fontlarge"]					   = "groß",		
		
		["fromcomp"]					   = "von Compendium",
		["from"]						   = "von:",
		["to"]						   	   = "an:",
		["prev"]						   = "zurück",
		["next"]						   = " weiter",
		["results"]						   = "Ergeb.", -- might be shortend to "Ergeb."
		["page"]						   = "Seite",
		
		["linkitem"]					   = "Verknüpfe Gegenstand mit Chat",
		["aboutcomp"]					   = "über Compendium",
		["aboutmessage"]				   = "Compendium öffnen:\n      /comp or /Compendium\n\nBesucht uns unter: \n   http://lotrocompendium.sourceforge.net/\n\nWeitere Neuerungen kommen bald!\n\nSpeziellen Dank an die Leute von lotrointerface.com\n\n© 2011 Lunarwater  |  Apache License V2.0",
		["add"]                            = "hinzufügen",
		["area"]                           = "Bereich:",
		["bestower"]                       = "Verleiher:",
		["comments"]                       = "Kommentare",
		["craftable"]                      = "herstellbar",
		["crafting"]                       = "Handwerk",
		["crit"]                           = "Crit:",
		["custom"]                         = "spezifisch",
		["complete"]					   = "Komplett",
		["incomplete"]					   = "Unvollständig",
		["deed"]                           = "Tat",
		["deeds"]                          = "Taten",
		["description"]                    = "Beschreibung",
		["destinypoints"]                  = "Schicksalspunkte",
		["download"]                       = "Lade das MoorMaps Zusatzmodul und Compendium zeigt dir die Position auf der Karte!",
		["faction"]                        = "Fraktion:",
		["fadewindow"]                     = "Fenster ausblenden wenn Maus abwesend.",  -- Not enough space on frame
		["filterby"]                       = "Filtern",
		["filters"]                        = "Filter:",
		["in"]                             = "in",
		["inCapt"]                         = "In",
		["ingredients"]                    = "Zutaten",
		["instanced"]                      = "Instantiert:",
		["item"]                           = "Gegenstand",
		["items"]                          = "Gegenstände",
		["icon"]                           = "Zeige Icon",
		["iconmini"]                       = "Ordnen von Klein Icon (16x16)",
		["learn"]                          = "Lernen:",
		["legendary"]					   = "Legendär",		
		["level"]                          = "Level:",
		["levellt"]                        = "Level < %s",
		["levelgt"]                        = "Level > %s",
		["levelbtwn"]                      = "Level %s-%s",
		["loading"]                        = "Loading",
		["loadscompendium"]                = "Lade %s Compendium (reload notwendig).",
		["lvl"]                            = "lvl",
		["minlevel"]                       = "Min. Level:",
		["mob"]                            = "Mob",
		["mobsnpcsofinterest"]             = "Mobs/NPCs von Interesse:",
		["miscpoi"]						   = "Sonstige Orte von Interesse",
		["money"]                          = "Geld",
		["name"]                           = "Name:",
		["nextdeeds"]                      = "Nächste Tat(en):",
		["nextquests"]                     = "Nächste Aufgabe(n):",
		["nodeedselected"]                 = "Keine Tat ausgewählt",
		["nofiltersset"]                   = "Keine Filter gesetzt",
		["noquestselected"]                = "Keine Aufgaben ausgewählt",
		["notice"]                         = "Notiz",
		["objectives"]                     = "Ziele",
		["ok"]                             = "Ok",
		["pointsofinterest"]               = "Orte von Interesse:",
		["prereqs"]                        = "Voraussetzungen:",
		["quest"]                          = "Aufgaben",
		["questchain"]                     = "Aufgabenreihe:",
		["questreward"]                    = "Aufgabenbelohnung",
		["receive"]                        = "erhalten",
		["reg"]                            = "Reg:",
		["rep"]                            = "Ruf",
		["reputation"]                     = "Ruf",
		["repeatable"]                     = "Wiederholbar:",
		["reset"] 						   = "reset",
		["reload"]						   = "Reload",
		["savingcomplete"]                 = "Speicherung vollständig.",
		["savingdeeds"]                    = "Speichere Taten...",
		["savingquests"]                   = "Speichere Aufgaben...",
		["search"]                         = "Suche:",
		["selectoneof"]                    = "Wähle eine von",
		["settings"]                       = "Optionen",
		["showscompendium"]                = "Zeigt Compendium.",
		["showsthecompendiumwindow"]       = "Zeigt das Compendium Fenster.",
		["tier"]                           = "Stufe",
		["titles"]                         = "Titel",
		["traits"]                         = "Fertigkeiten",
		["type"]                           = "Typ:",
		["unknown"]                        = "(unbekannt)",
		["unloadingcompendium"]            = "Verlasse Compendium...",
		["usage"]                          = "Verwendung:",
		["version"]                        = "Version",
		["virtues"]                        = "Tugend",
		["zone"]                           = "Zone:",
		-- NOTE THAT IF A FILTER IS NOT FOUND HERE, It just uses the key for the resource value
		-- For translating please see list above in the "en" section, and copy those values
		-- you are able to translate
		["FILTERS"]	= {
			["All"]					=	"alles",
			["Armour"]				=	"Rüstung",
			["Axe"]					=	"Axt",
			["Back"]				=	"Rücken",
			["Bagpipe"]				=	"Dudelsack",
			["Bait"]				=	"Köder",
			["Barter"]				=	"Tausch",
			["Barter: Reputation"]	=	"Tausch: Ruf",
			["Barter: Skirmish"]	=	"Tausch: Scharmützel",
			["Book"]				=	"Buch",
			["Bow"]					=	"Bogen",
			["Burglar"]				=	"Dieb",
			["Captain"]				=	"Hauptmann",
			["Champion"]			=	"Waffenmeister",
			["Clarinet"]			=	"Klarinette",
			["Class"]				=	"Klasse",
			["Class Items"]			=	"Klassengegenstände",
			["Club"]				=	"Keule",
			["Cook"]				=	"Koch",
			["Cooking"]				=	"kochen",
			["Cowbell"]				=	"Kuhglocke",
			["Craftable"]			=	"herstellbar",
			["Craft: Component"]	=	"Handwerk: Komponente",
			["Craft"]				=	"Handwerk",
			["Crafting"]			=	"handwerken",
			["Craft: Ingredient"]	=	"Handwerk: Zutat",
			["Craft: Optional Ingredient"]	=	"handwerk: Optionale Zutat",
			["Craft: Resource"]		=	"Handwerk: Resource",
			["Crossbow"]			=	"Armbrust",
			["Custom"]				=	"spezifisch",
			["Dagger"]				=	"Dolch",
			["Deconstructables"]	=	"Deconstructables", -- What is that?
			["Deed Type"]			=	"Tatentyp",
			["Dest Pts"]			=	"Schicksalspunkte",
			["Device"]				=	"Lagerfeuerausrüstung",
			["Drum"]				=	"Trommel",
			["Dye"]					=	"Farbe",
			["Ear"]					=	"Ohr",
			["Emote"]				=	"Emote",
			["Epic"]				=	"episch",
			["Event"]				=	"Ereignis",
			["Explorer"]			=	"Entdecker",
			["Faction"]				=	"Fraktion",
			["Farmer"]				=	"Bauer",
			["Farming"]				=	"Anbau",
			["Feet"]				=	"Füsse",
			["Fellowship"]			=	"Gruppe",
			["Finger"]				=	"Finger",
			["Fish"]				=	"Fisch",
			["Flute"]				=	"Flöte",
			["Food"]				=	"Essen",
			["Forester"]			=	"Förster",
			["Forestry"]			=	"Försterei",
			["Free People"]			=	"Freie Völker",
			["Guardian"]			=	"Wächter",
			["Halberd"]				=	"Helebarde",
			["Hammer"]				=	"Hammer",
			["Hands"]				=	"Hände",
			["Harp"]				=	"Harfe",
			["Head"]				=	"Kopf",
			["Heavy"]				=	"schwer",
			["Home: Ceiling"]		=	"Haus: Decke",
			["Home: Floor"]			=	"Haus: Boden",
			["Home: Furniture"]		=	"Haus: Möbel",
			["Home"]				=	"Haus",
			["Home: Music"]			=	"Haus: Musik",
			["Home: Paints & Surfaces"]	=	"Haus: Farben & Oberflächen",
			["Home: Special"]		=	"Haus: Spezial",
			["Home: Trophy"]		=	"Haus: Trophäe",
			["Home: Wall"]			=	"Haus: Wand",
			["Home: Yard"]			=	"Haus: Hof",
			["Horn"]				=	"Horn",
			["Hunter"]				=	"Jäger",
			["Instrument"]			=	"Instrumente",
			["Items"]				=	"Gegenstände",
			["Javelin"]				=	"Speer",
			["Jeweller"]			=	"Goldschmied",
			["Jewellery"]			=	"Goldschmiede",
			["Key"]					=	"Schlüssel",
			["Legendary"]			=	"legendär",
			["Legs"]				=	"Beine",
			["Level Ranges"]		=	"Levelbereich",
			["License"]				=	"Lizenz",
			["Light"]				=	"leicht",
			["Lore"]				=	"Kunde",
			["Lore-master"]			=	"Kundiger",
			["Lute"]				=	"Laute",
			["Mace"]				=	"Streitkolben",
			["Medium"]				=	"Medium",
			["Metalsmith"]			=	"Rüstungsschmied",
			["Metalworking"]		=	"schmieden",
			["Minstrel"]			=	"Barde",
			["Misc."]				=	"sonstiges",
			["Money"]				=	"Geld",
			["Monster"]				=	"Monster",
			["MoreCowbell"]			=	"Moorkuhglocke",
			["Mounts"]				=	"Pferde",
			["Neck"]				=	"Hals",
			["One-handed"]			=	"Einhand",
			["Other"]				=	"andere",
			["Outfit: Class"]		=	"Ausrüstung: Klasse",
			["Perks"]				=	"Perks",
			["Pipeweed"]			=	"Pfeifenkraut",
			["Pocket"]				=	"Beutel",
			["Poles"]				=	"Angelrute",
			["Potion"]				=	"Trank",
			["Prospecting"]			=	"schürfen",
			["Prospector"]			=	"Schürfer",
			["Quest Chains"]		=	"Aufgabenreihe",
			["Quest Item"]			=	"Aufgabengegenstand",
			["Quest Reward"]		=	"Aufgabenbelohnung",
			["Quest Type"]			=	"Aufgabentyp",
			["Raid"]				=	"Schlachtzug",
			["Ranged"]				=	"Fernwaffen",
			["Recipe"]				=	"Rezept",
			["Repeatable"]			=	"Wiederholbar",
			["Rep"]					=	"Ruf",
			["Reputation"]			=	"Ruf",
			["Rewarded"]			=	"Belohnung",
			["Rune-keeper"]			=	"Runenbewahrer",
			["Rune-stone"]			=	"Runenstein",
			["Scholar"]				=	"Gelehrter",
			["Scroll"]				=	"Schriftrolle",
			["Shield"]				=	"Schild",
			["Shield-spikes"]		=	"Schilddornen",
			["Shoulders"]			=	"Schultern",
			["Slayer"]				=	"Bezwinger",
			["Small Fellowship"]	=	"kleine Gefährtengruppe",
			["Social Item"]			=	"Sozialer Gegenstand",
			["Source"]				=	"Herkunft/Quelle",
			["Spear"]				=	"Speer",
			["Special"]				=	"Spezial",
			["Staff"]				=	"Stab",
			["Sword"]				=	"Schwert",
			["Tailor"]				=	"Schneider",
			["Theorbo"]				=	"Theorbe",
			["Tier 1"]				=	"Stufe 1",
			["Tier 2"]				=	"Stufe 2",
			["Tier 3"]				=	"Stufe 3",
			["Tier 4"]				=	"Stufe 4",
			["Tier 5"]				=	"Stufe 5",
			["Tier 6"]				=	"Stufe 6",
			["Tier 7"]				=	"Stufe 7",
			["Titles"]				=	"Titel",
			["Tomes"]				=	"Bände",
			["Tool"]				=	"Werkzeug",
			["Traits"]				=	"Fertigkeiten",
			["Trap"]				=	"Fallen",
			["Travel & Maps"]		=	"Reisen & Karten",
			["Trophy"]				=	"Trophäe",
			["Two-handed"]			=	"Zweihand",
			["Unknown"]				=	"Unbekannt",
			["Upperbody"]			=	"Oberkörper",
			["Virtues"]				=	"Tugend",
			["Warden"]				=	"Hüter",
			["Weapon Oils"]			=	"Waffenöle",
			["Weaponsmith"]			=	"Waffenschmied",
			["Weapon"]				=	"Waffe",
			["Woodworker"]			=	"Drechsler",
			["Woodworking"]			=	"drechseln",
			["Wrist"]				=	"Handgelenk",
			["Zone"]				=	"Zone"			
		}		
	},
	fr = {
		["language"]                       = "Language (requires reload): ",
		["en"]                        	   = "English",
		["de"]                        	   = "German",
		["fr"]                        	   = "French",
	
		["advice"]                         = "Advice",	
		["officer"]                        = "Officer",		
		["say"]                        	   = "Say",
		["kinship"]                        = "Kinship",
		["fellowship"]                     = "Fellowship",
		["raid"]                           = "Raid",
		["tradewtb"]                       = "Trade WTB",
		["user1"]                      	   = "User Chat 1",
		["user2"]                          = "User Chat 2",
		["user3"]                          = "User Chat 3",
		["user4"]                          = "User Chat 4",

		
		["fontsize"]					   = "Font Size (requires reload)",
		["fontsmall"]					   = "Small",
		["fontlarge"]					   = "Large",
			
		["fromcomp"]					   = "from compendium",
		["from"]						   = "from:",
		["to"]						   	   = "to:",
		["prev"]						   = "  Prev",
		["next"]						   = " Next",
		["results"]						   = "Results",
		["page"]						   = "Page",
		
		["linkitem"]					   = "Link Item To Chat",
		["aboutcomp"]					   = "About Compendium",
		["aboutmessage"]				   = "To Open Compendium:\n      /comp or /Compendium\n\nVisit us at: \n   http://lotrocompendium.sourceforge.net/\n\nMore coming soon!\n\nSpecial Thanks to the folks at lotrointerface.com\n\n© 2011 Lunarwater  |  Apache License V2.0",
		["add"]                            = "Add",
		["area"]                           = "Area:",
		["bestower"]                       = "Bestower:",
		["comments"]                       = "Comments",
		["craftable"]                      = "Craftable",
		["crafting"]                       = "Crafting",
		["crit"]                           = "Crit:",
		["custom"]                         = "Custom",
		["complete"]					   = "Complete",
		["incomplete"]					   = "Incomplete",
		["deed"]                           = "Deed",
		["deeds"]                          = "Deeds",
		["description"]                    = "Description",
		["destinypoints"]                  = "Dest Pts",
		["download"]                       = "Download MoorMaps addon and Compendium can show you locations on Map!",
		["faction"]                        = "Faction:",
		["fadewindow"]                     = "Fade window when mouse leaves.",
		["filterby"]                       = "Filter By",
		["filters"]                        = "Filters:",
		["in"]                             = "in",
		["inCapt"]                         = "In",
		["ingredients"]                    = "Ingredients",
		["instanced"]                      = "Instanced:",
		["item"]                           = "Item",
		["items"]                          = "Items",
		["icon"]                           = "Show Icon",
		["iconmini"]                       = "Show Mini Icon (16x16)",
		["learn"]                          = "Learn:",
		["legendary"]					   = "Legendary",		
		["level"]                          = "Level:",
		["levellt"]                        = "Levels < %s",
		["levelgt"]                        = "Levels > %s",
		["levelbtwn"]                      = "Levels %s-%s",
		["loading"]                        = "Loading",
		["loadscompendium"]                = "Load %s Compendium (requires reload).",
		["lvl"]                            = "lvl",
		["minlevel"]                       = "Min Level:",
		["mob"]                            = "Mob",
		["mobsnpcsofinterest"]             = "Mobs/NPCs of Interest:",
		["miscpoi"]						   = "Misc Point of Interest",
		["money"]                          = "Money",
		["name"]                           = "Name:",
		["nextdeeds"]                      = "Next Deed(s):",
		["nextquests"]                     = "Next Quest(s):",
		["nodeedselected"]                 = "No deed selected",
		["nofiltersset"]                   = "No filters set",
		["noquestselected"]                = "No quest selected",
		["notice"]                         = "Notice",
		["objectives"]                     = "Objectives",
		["ok"]                             = "Ok",
		["pointsofinterest"]               = "Points of Interest:",
		["prereqs"]                        = "Prereq(s):",
		["quest"]                          = "Quest",
		["questchain"]                     = "Quest Chain:",
		["questreward"]                    = "Quest Reward",
		["receive"]                        = "Receive",
		["reg"]                            = "Reg:",
		["rep"]                            = "Rep",
		["reputation"]                     = "Reputations",
		["repeatable"]                     = "Repeatable:",
		["reset"] 						   = "reset",
		["reload"]						   = "Reload",
		["savingcomplete"]                 = "Saving complete.",
		["savingdeeds"]                    = "Saving deeds...",
		["savingquests"]                   = "Saving quests...",
		["search"]                         = "Search:",
		["selectoneof"]                    = "Select One Of",
		["settings"]                       = "Settings",
		["showscompendium"]                = "Shows Compendium.",
		["showsthecompendiumwindow"]       = "Shows the Compendium window.",
		["tier"]                           = "Tier",
		["titles"]                         = "Titles",
		["traits"]                         = "Traits",
		["type"]                           = "Type:",
		["unknown"]                        = "(unknown)",
		["unloadingcompendium"]            = "Unloading Compendium..",
		["usage"]                          = "Usage:",
		["version"]                        = "version",
		["virtues"]                        = "Virtues",
		["zone"]                           = "Zone:",
		-- NOTE THAT IF A FILTER IS NOT FOUND HERE, It just uses the key for the resource value
		-- For translating please see list above in the "en" section, and copy those values
		-- you are able to translate
		["FILTERS"]	= {
		}		
	}	
}

BundleClass = class();

function BundleClass:Constructor()

	local client = "en";
	if Turbine.Shell.IsCommand("hilfe") then
	  client = "de";
	elseif Turbine.Shell.IsCommand("aide") then
	  client = "fr";
	end
	
	self.ClientResources = clientResources[client];
	self.Client = client;
	self:SetLanguage('en');

	self.DE = "de";
	self.FR = "fr";
	self.EN = "en";
	
end

function BundleClass:SetLanguage(lang)
	self.lang = lang;
	self.resources = resources[lang];
	-- add in client specific resources to general resources 
	for a,b in pairs(self.ClientResources) do
		self.resources[a] = b;
	end;	
end

function BundleClass:GetResources()
	return self.resources;
end

function BundleClass:GetClientResources()
	return self.ClientResources;
end

Bundle = BundleClass();
