--[[
   Copyright 2011 Kelly Riley (lunarwater)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
]]

import "Compendium.Common.Utils";
import "Compendium.Common.UI";

ItemCategoryMenu = class( Compendium.Common.UI.CategoryMenu );
function ItemCategoryMenu:Constructor()
    Compendium.Common.UI.CategoryMenu.Constructor( self, {
		["Armour"] = {
			["All"] =0,
			["Light"] = 0,
			["Medium"] = 0,
			["Heavy"] = 0,			
			["Back"] = 0,	
			["Feet"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			},
			["Hands"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			},
			["Head"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			},
			["Legs"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			},
			["Shield"] = 0,
			["Shoulders"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			},
			["Upperbody"] = {
				["All"] =0,
				["Light"] = 0,
				["Medium"] = 0,
				["Heavy"] = 0
			}
		},
		["Class Items"] = {
			["Rune-keeper"] = 0, 
			["Guardian"] = 0, 
			["Warden"] = 0, 
			["Lore-master"] = 0, 
			["Burglar"] = 0, 
			["Captain"] = 0, 
			["Champion"] = 0, 
			["Minstrel"] = 0, 
			["Hunter"] = 0
		},
		["Craft"] = {
			["Craftable"] = 0,
			["Crafting"] = 0,
			["Craft: Component"] = 0,
			["Craft: Ingredient"] = 0,
			["Craft: Optional Ingredient"] = 0,
			["Craft: Resource"] = 0,
		},
		["Home"] = {
			["Home: Ceiling"] = 0,
			["Home: Floor"] = 0,
			["Home: Furniture"] = 0,
			["Home: Music"] = 0,
			["Home: Paints & Surfaces"] = 0,
			["Home: Special"] = 0,
			["Home: Trophy"] = 0,
			["Home: Wall"] = 0,
			["Home: Yard"] = 0
		},
		["Instrument"] = {
			["All"] =0,
			["Harp"] = 0,
			["Flute"] = 0,
			["Clarinet"] = 0,
			["Lute"] = 0,
			["Drum"] = 0,
			["Theorbo"] = 0,
			["MoreCowbell"] = 0,
			["Bagpipe"] = 0,
			["Cowbell"] = 0,
			["Horn"] = 0
		},
		["Item Set"]={
			["A"]={
				["Abandoned Keepsakes"]=0,
				["Accessories of a Ranger"]=0,
				["Accoutrements of the Sluggard"]=0,
				["Aithlen (Armour of the)"]=0,
				["Ally of the Free People"]=0,
				["Amarthan and Amarthdram"]=0,
				["Amaruith (Armour of the)"]=0,
				["Amban's Cloth"]=0,
				["Amban's Leather"]=0,
				["Amban's Steel"]=0,
				["Ambusher of the West"]=0,
				["Ancient Tongue (Armour of the)"]=0,
				["Anganskáld Armour"]=0,
				["Archer of the Council"]=0,
				["Archivist (Armour of the)"]=0,
				["Armaments of the Impossible Shot"]=0,
				["Arms of Búth Luikh"]=0,
				["Arms of the Battle-captain"]=0,
				["Arms of the Bulwark"]=0,
				["Arms of the Chieftain"]=0,
				["Arms of the Hawk-eye"]=0,
				["Arms of the Hidden Dagger"]=0,
				["Arms of the Last Stand"]=0,
				["Arms of the Learned Master"]=0,
				["Arms of the Swift-slayer"]=0,
				["Arms of the Wandering Bard"]=0,
				["Arms of the Word-crafter"]=0,
				["Arnorian Holdfast (Armour of the)"]=0,
				["Arrow-fletcher's Armour"]=0,
				["Arrow of the West"]=0,
				["Arthdúr Armour"]=0,
				["Aurochs (Armour of the)"]=0,
				["Avorhigil and Avorlang"]=0,
				["Axe-handler (Armour of the)"]=0
				},
			["Armour of ..."]={
				["A-L"]={
					["Aithlen (Armour of the)"]=0,
					["Amaruith (Armour of the)"]=0,
					["Ancient Tongue (Armour of the)"]=0,
					["Archivist (Armour of the)"]=0,
					["Arnorian Holdfast (Armour of the)"]=0,
					["Aurochs (Armour of the)"]=0,
					["Axe-handler (Armour of the)"]=0,
					["Benediction (Armour of the)"]=0,
					["Brazen Call (Armour of the)"]=0,
					["Bulwark (Armour of the)"]=0,
					["Cabeddan (Armour of the)"]=0,
					["Charge (Armour of the)"]=0,
					["Chieftain (Armour of the)"]=0,
					["Concealed (Armour of the)"]=0,
					["Cúdur (Armour of the)"]=0,
					["Dagor (Armour of the)"]=0,
					["Deadly Storm (Armour of the)"]=0,
					["Deathstorm (Armour of the)"]=0,
					["Delualagos (Armour of the)"]=0,
					["Dinhigil (Armour of the)"]=0,
					["Dwarf-hoard (Armour of the)"]=0,
					["Eglerin (Armour of the)"]=0,
					["Enforcer (Armour of the)"]=0,
					["Erudite Teacher (Armour of the)"]=0,
					["Faron (Armour of the)"]=0,
					["First Letters (Armour of the)"]=0,
					["Fist-way (Armour of the)"]=0,
					["Gallant Commander (Armour of the)"]=0,
					["Gambler (Armour of the)"]=0,
					["Garrison (Armour of the)"]=0,
					["Glírberion (Armour of the)"]=0,
					["Gloom-bane (Armour of the)"]=0,
					["Gonathradir (Armour of the)"]=0,
					["Great Bow (Armour of the)"]=0,
					["Hadollin (Armour of the)"]=0,
					["Hall-warden (Armour of the)"]=0,
					["Hawk-eye (Armour of the)"]=0,
					["Healing Hands (Armour of the)"]=0,
					["Hidden Dagger (Armour of the)"]=0,
					["High Captain (Armour of the)"]=0,
					["Hopeful Melody (Armour of the)"]=0,
					["Indomitable Protector (Armour of the)"]=0,
					["Iordúr (Armour of the)"]=0,
					["Iron Arm (Armour of the)"]=0,
					["Javelin (Armour of the)"]=0,
					["Keen Blade (Armour of the)"]=0,
					["Lady's Courage (Armour of the)"]=0,
					["Lady's Defence (Armour of the)"]=0,
					["Lady's Discernment (Armour of the)"]=0,
					["Lady's Favour (Armour of the)"]=0,
					["Lady's Foresight (Armour of the)"]=0,
					["Lady's Grace (Armour of the)"]=0,
					["Lady's Power (Armour of the)"]=0,
					["Lady's Secrecy (Armour of the)"]=0,
					["Lady's Wisdom (Armour of the)"]=0,
					["Laighathel (Armour of the)"]=0,
					["Laingarth (Armour of the)"]=0,
					["Last Stand (Armour of the)"]=0,
					["Lavanhebron (Armour of the)"]=0,
					["Learned (Armour of the)"]=0,
					["Learned Master (Armour of the)"]=0,
					["Lúmathwë (Armour of the)"]=0
					},
				["M-Z"]={
					["Martial Champion (Armour of the)"]=0,
					["Menestaid (Armour of the)"]=0,
					["Mighty Verse (Armour of the)"]=0,
					["North-drake (Armour of the)"]=0,
					["Northern Star (Armour of the)"]=0,
					["North Star (Armour of the)"]=0,
					["Oathesworn (Armour of the)"]=0,
					["Officer (Armour of the)"]=0,
					["Othrod (Armour of the)"]=0,
					["Poet's Heart (Armour of the)"]=0,
					["Porbad (Armour of the)"]=0,
					["Quiet Knife (Armour of the)"]=0,
					["Quiet Step (Armour of the)"]=0,
					["Rallying Shout (Armour of the)"]=0,
					["Relentless Fighter (Armour of the)"]=0,
					["Ruithador (Armour of the)"]=0,
					["Seven Fathers (Armour of the)"]=0,
					["Shadow-fighter (Armour of the)"]=0,
					["Shadow-walker (Armour of the)"]=0,
					["Shield-wall (Armour of the)"]=0,
					["Shield-way (Armour of the)"]=0,
					["Silent Knife (Armour of the)"]=0,
					["Spear-way (Armour of the)"]=0,
					["Stone-reader's Apprentice (Armour of the)"]=0,
					["Stone-student (Armour of the)"]=0,
					["Strong Defender (Armour of the)"]=0,
					["Sun-lands (Armour of the)"]=0,
					["Swift Arrow (Armour of the)"]=0,
					["Swift-slayer (Armour of the)"]=0,
					["Tasdan (Armour of the)"]=0,
					["Thamen (Armour of the)"]=0,
					["Tireless Sentinel (Armour of the)"]=0,
					["Tognir (Armour of the)"]=0,
					["Trapper (Armour of the)"]=0,
					["Wall-warden (Armour of the)"]=0,
					["Wandering Bard (Armour of the)"]=0,
					["Wayfaring Poet (Armour of the)"]=0,
					["West-lands (Armour of the)"]=0,
					["West-tower (Armour of the)"]=0,
					["Whirlwind (Armour of the)"]=0,
					["White Flame (Armour of the)"]=0,
					["Word-crafter (Armour of the)"]=0,
					["Written Word (Armour of the)"]=0
					}
				},
			["B-C"]={
				["Balladeer's Armour"]=0,
				["Bands of Búth Sánkhas"]=0,
				["Bands of Haste"]=0,
				["Bands of Power"]=0,
				["Banner of the West"]=0,
				["Barrow-scholar"]=0,
				["Barrow-scout"]=0,
				["Barrow-warrior"]=0,
				["Battle-leader's Armour"]=0,
				["Beast-master Armour"]=0,
				["Benediction (Armour of the)"]=0,
				["Berserker's Armour"]=0,
				["Blademaster's Armour"]=0,
				["Blade of the West"]=0,
				["Blades of Búth Luikh"]=0,
				["Blessing of Caras Galadhon"]=0,
				["Blight of Gramsfoot"]=0,
				["Brazen Call (Armour of the)"]=0,
				["Bulwark (Armour of the)"]=0,
				["Bulwark of the West"]=0,
				["Burglar of the Free People"]=0,
				["Cabeddan (Armour of the)"]=0,
				["Captain of the Free People"]=0,
				["Celebrant (Armour of)"]=0,
				["Certh-writer's Armour"]=0,
				["Champion of the Free People"]=0,
				["Charge (Armour of the)"]=0,
				["Chieftain (Armour of the)"]=0,
				["Claymore of the West"]=0,
				["Cleansing Fire (Armour of)"]=0,
				["Cobalt Armour"]=0,
				["Cobalt Rune-stones"]=0,
				["Commander's Jewellery"]=0,
				["Concealed (Armour of the)"]=0,
				["Cry of the West"]=0,
				["Cúdur (Armour of the)"]=0
				},
			["D-G"]={
				["Daerdúr Armour"]=0,
				["Dagor (Armour of the)"]=0,
				["Deadly Aim"]=0,
				["Deadly Storm (Armour of the)"]=0,
				["Deathstorm (Armour of the)"]=0,
				["Deep Lore (Armour of)"]=0,
				["Defender of the Eglain"]=0,
				["Defender of the Lossoth"]=0,
				["Defender of the West"]=0,
				["Deft-blade's Armour"]=0,
				["Delualagos (Armour of the)"]=0,
				["Dinhigil (Armour of the)"]=0,
				["Dirge-singer's Raiments"]=0,
				["Doom-hunter's Armour"]=0,
				["Dragon-scale Armour"]=0,
				["Dungeon-crawler's Armour"]=0,
				["Durin's Guard (Armour of)"]=0,
				["Dwarf-hoard (Armour of the)"]=0,
				["Eglerin (Armour of the)"]=0,
				["Elder Days Armour"]=0,
				["Enforcer (Armour of the)"]=0,
				["Erebraw (Armour of)"]=0,
				["Erudite Teacher (Armour of the)"]=0,
				["Far-arrow's Armour"]=0,
				["Faron (Armour of the)"]=0,
				["Feldskyn Armour"]=0,
				["Fém (Armour of)"]=0,
				["First Letters (Armour of the)"]=0,
				["Fist-way (Armour of the)"]=0,
				["Forest-walker's Apparel"]=0,
				["Forfend the Elements"]=0,
				["Forgotten Hope (Armour of)"]=0,
				["Friend of Gabilshathûr"]=0,
				["Frór (Armour of)"]=0,
				["Frór's Strength"]=0,
				["Gallant Commander (Armour of the)"]=0,
				["Gambler (Armour of the)"]=0,
				["Garb of the Woods"]=0,
				["Garrison (Armour of the)"]=0,
				["Glírberion (Armour of the)"]=0,
				["Gloom-bane (Armour of the)"]=0,
				["Gonathradir (Armour of the)"]=0,
				["Graven Word (Armour of)"]=0,
				["Great Bow (Armour of the)"]=0,
				["Guardian of the Free People"]=0
				},
			["H-K"]={
				["Hadollin (Armour of the)"]=0,
				["Hall-captain's Armour"]=0,
				["Hall-general's Armour"]=0,
				["Hall-warden (Armour of the)"]=0,
				["Hawk-eye (Armour of the)"]=0,
				["Healer of Rivendell"]=0,
				["Healing Hands (Armour of the)"]=0,
				["Heartmender's Raiments"]=0,
				["Heavy Acid Forfend"]=0,
				["Heavy Flame Forfend"]=0,
				["Heavy Shadow Forfend"]=0,
				["Hero of the Lossoth"]=0,
				["Hidden Dagger (Armour of the)"]=0,
				["High Captain (Armour of the)"]=0,
				["High-protector's Armour"]=0,
				["High-warden's Armour"]=0,
				["Hlifherór Armour"]=0,
				["Hlifworth Armour"]=0,
				["Hopeful Melody (Armour of the)"]=0,
				["Hunter of the Free People"]=0,
				["Huntsman's Tools"]=0,
				["Ideal and Empathic"]=0,
				["Ideal and Empathic - 29"]=0,
				["Ideal and Empathic - 39"]=0,
				["Ideal and Empathic - 49"]=0,
				["Ideal and Empathic - 59"]=0,
				["Ideal and Empathic - 69"]=0,
				["Indomitable Protector (Armour of the)"]=0,
				["Iordúr (Armour of the)"]=0,
				["Iron Arm (Armour of the)"]=0,
				["Javelin (Armour of the)"]=0,
				["Jewels of Búth Sánkhas"]=0,
				["Jewels of Station"]=0,
				["Jewels of Status"]=0,
				["Jewels of the Defender"]=0,
				["Jewels of the Order"]=0,
				["Jewels of the Sage"]=0,
				["Jewels of the Strong-heart"]=0,
				["Justice and Honour"]=0,
				["Justice and Honour - 29"]=0,
				["Justice and Honour - 39"]=0,
				["Justice and Honour - 49"]=0,
				["Justice and Honour - 59"]=0,
				["Justice and Honour - 69"]=0,
				["Kappwin Armour"]=0,
				["Keen Blade (Armour of the)"]=0,
				["Keen Sight (Armour of)"]=0,
				["Knowledge of the Masters and Keepers"]=0
				},
			["L"]={
				["Lady's Courage (Armour of the)"]=0,
				["Lady's Defence (Armour of the)"]=0,
				["Lady's Discernment (Armour of the)"]=0,
				["Lady's Favour (Armour of the)"]=0,
				["Lady's Foresight (Armour of the)"]=0,
				["Lady's Grace (Armour of the)"]=0,
				["Lady's Power (Armour of the)"]=0,
				["Lady's Secrecy (Armour of the)"]=0,
				["Lady's Wisdom (Armour of the)"]=0,
				["Laighathel (Armour of the)"]=0,
				["Laindehal's Watch (Armour of)"]=0,
				["Laingarth (Armour of the)"]=0,
				["Last Stand (Armour of the)"]=0,
				["Lavanhebron (Armour of the)"]=0,
				["Learned (Armour of the)"]=0,
				["Learned Master (Armour of the)"]=0,
				["Lesser Ambusher of the West"]=0,
				["Lesser Arrow of the West"]=0,
				["Lesser Banner of the West"]=0,
				["Lesser Blade of the West"]=0,
				["Lesser Bulwark of the West"]=0,
				["Lesser Claymore of the West"]=0,
				["Lesser Cry of the West"]=0,
				["Lesser Defender of the West"]=0,
				["Lesser Light of the West"]=0,
				["Lesser Mark of the West"]=0,
				["Lesser Memory of the West"]=0,
				["Lesser Phalanx of the West"]=0,
				["Lesser Scribe of the West"]=0,
				["Lesser Secret of the West"]=0,
				["Lesser Skirmisher of the West"]=0,
				["Lesser Skjald of the West"]=0,
				["Lesser Voice of the West"]=0,
				["Lesser Ward of the West"]=0,
				["Lethal Strikes"]=0,
				["Light Acid Forfend"]=0,
				["Light Flame Forfend"]=0,
				["Light of the West"]=0,
				["Light Shadow Forfend"]=0,
				["Limdúr Armour"]=0,
				["Line-warder's Armour"]=0,
				["Lockmaster's Armour"]=0,
				["Lore-keeper's Armour"]=0,
				["Lothlórien Knowledge"]=0,
				["Lúmathwë (Armour of the)"]=0
				},
			["M-R"]={
				["Mark of the West"]=0,
				["Martial Champion (Armour of the)"]=0,
				["Medium Acid Forfend"]=0,
				["Medium Flame Forfend"]=0,
				["Medium Shadow Forfend"]=0,
				["Memory of the West"]=0,
				["Menestaid (Armour of the)"]=0,
				["Mighty Verse (Armour of the)"]=0,
				["Moon-watcher's Finery"]=0,
				["Nature's Fury (Armour of)"]=0,
				["Nenuial?s Vestments"]=0,
				["Night of Brawling"]=0,
				["Night of Learning"]=0,
				["Night of Renewing"]=0,
				["Night of Seeking"]=0,
				["North-drake (Armour of the)"]=0,
				["Northern Star (Armour of the)"]=0,
				["North Star (Armour of the)"]=0,
				["Oathesworn (Armour of the)"]=0,
				["Officer (Armour of the)"]=0,
				["Onslaught of the Dwarves"]=0,
				["Orod-na-Thôn (Armour of)"]=0,
				["Othrod (Armour of the)"]=0,
				["Panthavron's Finery"]=0,
				["Pathfinder's Armour"]=0,
				["Phalanx of the West"]=0,
				["Poet's Heart (Armour of the)"]=0,
				["Porbad (Armour of the)"]=0,
				["Protector of the Lossoth"]=0,
				["Protector's Reproach"]=0,
				["Protector's Safeguard"]=0,
				["Puignor (Armour of)"]=0,
				["Quiet Knife (Armour of the)"]=0,
				["Quiet Step (Armour of the)"]=0,
				["Quillmaster's Armour"]=0,
				["Raiment of the Seven Stars"]=0,
				["Raiments of Long Memory"]=0,
				["Raiments of the Clever Counselor"]=0,
				["Raiments of the Spellweaver"]=0,
				["Raiments of Vicious Proclamation"]=0,
				["Rallying Shout (Armour of the)"]=0,
				["Relentless Fighter (Armour of the)"]=0,
				["Remmirath (Armour of)"]=0,
				["Resolve (Armour of)"]=0,
				["Return From Darkness"]=0,
				["Rhymer's Armour"]=0,
				["Riddle Teller's Gear"]=0,
				["Rift-defender's Armour"]=0,
				["Robes of Fém"]=0,
				["Ruithador (Armour of the)"]=0,
				["Rune-learner's Armour"]=0,
				["Runemaker's Armour"]=0
				},
			["S"]={
				["Sage of the Council"]=0,
				["Sage of the Eglain"]=0,
				["Scribe of the West"]=0,
				["Secret of the West"]=0,
				["Seven Fathers (Armour of the)"]=0,
				["Shadow-fighter (Armour of the)"]=0,
				["Shadow-stalker Armour"]=0,
				["Shadow-walker (Armour of the)"]=0,
				["Shield-bearer's Armour"]=0,
				["Shield-master's Armour"]=0,
				["Shield-wall (Armour of the)"]=0,
				["Shield-way (Armour of the)"]=0,
				["Silent Knife (Armour of the)"]=0,
				["Silver-voice Armour"]=0,
				["Skirmisher of the West"]=0,
				["Skjald of the West"]=0,
				["Sneak's Subtlety"]=0,
				["Soft-walker's Armour"]=0,
				["Soldier of the Eglain"]=0,
				["Solitary Thunder (Armour of)"]=0,
				["Song-caller's Armour"]=0,
				["Songmaster's Armour"]=0,
				["Spear-hurler's Armour"]=0,
				["Spear-shaker's Armour"]=0,
				["Spear-way (Armour of the)"]=0,
				["Spirit of Ajokoira"]=0,
				["Spirit of Leijona"]=0,
				["Spirit of Mammutti"]=0,
				["Spirit of the Rangers"]=0,
				["Star-watcher's Vestments"]=0,
				["Stone-guard's Armour"]=0,
				["Stoneheart's Armour"]=0,
				["Stone-reader's Apprentice (Armour of the)"]=0,
				["Stone-reader's Armour"]=0,
				["Stone-student (Armour of the)"]=0,
				["Stoutheart's Armour"]=0,
				["Strong Defender (Armour of the)"]=0,
				["Sun-lands (Armour of the)"]=0,
				["Sun-watcher's Armour"]=0,
				["Supporter of the Free People"]=0,
				["Swift Arrow (Armour of the)"]=0,
				["Swiftblade's Armour"]=0,
				["Swift-slayer (Armour of the)"]=0
				},
			["T-Z"]={
				["Tarchathol and Tarnaith"]=0,
				["Tasdan (Armour of the)"]=0,
				["Test Set One"]=0,
				["Test Set Two"]=0,
				["Thagallthrek Armour"]=0,
				["Thamen (Armour of the)"]=0,
				["The Ancient Master's Armour"]=0,
				["The Beast-keeper's Armour"]=0,
				["The Berserker's Armour"]=0,
				["The Bowmaster's Armour"]=0,
				["The Free-defender's Armour"]=0,
				["The Huntsman's Armour"]=0,
				["The Leader's Armour"]=0,
				["Thelin (Armour of)"]=0,
				["The Mischief-maker's Armour"]=0,
				["The Song-protector's Armour"]=0,
				["The Warrior-skald's Armour"]=0,
				["Threkkappi Armour"]=0,
				["Thrill-seeker's Armour"]=0,
				["Tireless Sentinel (Armour of the)"]=0,
				["Tognir (Armour of the)"]=0,
				["Town-saver's Armour"]=0,
				["Tracker's Trade"]=0,
				["Trapper (Armour of the)"]=0,
				["Trapsetter's Armour"]=0,
				["Trickster's Garb"]=0,
				["Trinkets of Quenching"]=0,
				["Trinkets of Skill"]=0,
				["Trinkets of The Ettendeep"]=0,
				["Trinkets of Thorns"]=0,
				["Trinkets of Virtue"]=0,
				["True Aim (Armour of)"]=0,
				["Túramath and Brogronn"]=0,
				["Unity of Battle"]=0,
				["Unity of Elegance"]=0,
				["Unity of Grace"]=0,
				["Unity of Perseverance"]=0,
				["Unity of Resilience"]=0,
				["Unity of Warding"]=0,
				["Vestments of Fém"]=0,
				["Vestments of the Grove"]=0,
				["Voice of the West"]=0,
				["Wall-warden (Armour of the)"]=0,
				["Wandering Bard (Armour of the)"]=0,
				["War-captain's Armour"]=0,
				["Warden of Annúminas"]=0,
				["Ward of the West"]=0,
				["Warrior of Rivendell"]=0,
				["Wayfaring Poet (Armour of the)"]=0,
				["West-lands (Armour of the)"]=0,
				["West-tower (Armour of the)"]=0,
				["Whirlwind (Armour of the)"]=0,
				["White Flame (Armour of the)"]=0,
				["Will of the Rangers"]=0,
				["Word-crafter (Armour of the)"]=0,
				["Word-smith's Armour"]=0,
				["Written Word (Armour of the)"]=0,
				["Zealous and Devoted"]=0,
				["Zealous and Devoted - 29"]=0,
				["Zealous and Devoted - 39"]=0,
				["Zealous and Devoted - 49"]=0,
				["Zealous and Devoted - 59"]=0,
				["Zealous and Devoted - 69"]=0
				}
			},		
		 ["Jewellery"] = {
		 	 ["All"] = 0,
		     ["Wrist"] = 0,
		     ["Pocket"] = 0,
		     ["Ear"] = 0,
		     ["Finger"] = 0,
		     ["Neck"] = 0
		 },
		 ["Level Ranges"] = {
		 	["1-10"] = 0,
		 	["11-20"] = 0, 
		 	["21-30"] = 0, 
		 	["31-40"] = 0,
		 	["41-50"] = 0, 
		 	["51-60"] = 0, 
		 	["61-70"] = 0, 
		 	["71-80"] = 0,
		 	["Custom"]=0
		 },
		["Other"] = {
			["A-M"] = {
				["Bait"] = 0,
				["Barter"] = 0,
				["Barter: Reputation"] = 0,
				["Barter: Skirmish"] = 0,
				["Book"] = 0,
				["Deconstructables"] = 0,
				["Device"] = 0,
				["Dye"] = 0,
				["Fish"] = 0,
				["Food"] = 0,
				["Legendary Item Increase Max Level"]=0,
				["Legendary Item Legendary Points Reset"]=0,
				["Legendary Item Replace Legacy"]=0,
				["Legendary Item XP"]=0,				
				["Key"] = 0,
				["Misc."] = 0,
				["Mounts"] = 0,		
			},
			["N-Z"] = {
				["Perks"] = 0,
				["Pipeweed"] = 0,
				["Poles"] = 0,
				["Potion"] = 0,
				["Quest Item"] = 0,
				["Scroll"] = 0,
				["Shield-spikes"] = 0,
				["Social Item"] = 0,
				["Special"] = 0,
				["Tomes"] = 0,
				["Tool"] = 0,
				["Trap"] = 0,
				["Travel & Maps"] = 0,
				["Trophy"] = 0,
				["Weapon Oils"] = 0		
			}
		},
		["Outfits"] = {
			["Outfit: Back"]=0,
			["Outfit: Class"]=0,
			["Outfit: Feet"]=0,
			["Outfit: Hands"]=0,
			["Outfit: Head"]=0,
			["Outfit: Lowerbody"]=0,
			["Outfit: Shoulders"]=0,
			["Outfit: Upperbody"]=0
		},
		["Legendary"] = 0,
		["Dead Items"] = 0,
		["Source"]={
			["Craftable"]=0,
			["Dungeon Drop"]={
				["A-E"]={
					["Annuminas"]=0,
					["Barad Gularan"]=0,
					["Barad Guldur"]=0,
					["Barrow Downs"]=0,
					["Carn Dum"]=0,
					["Dargnákh Unleashed"]=0,
					["Dark Delvings"]=0,
					["Dar Narbugud"]=0,
					["Draigoch"]=0,
					["Dungeons of Dol Guldur"]=0,
					["Dunland"]=0,
					["Enedwaith"]=0,
					["Epic II.6.8 - Azanarukar"]=0
					},
				["F-H"]={
					["Fangorn's Edge"]=0,
					["Fil Gashan"]=0,
					["Filikul"]=0,
					["Fornost"]=0,
					["Garth Agarwen"]=0,
					["Glinghant"]=0,
					["Great Barrows"]=0,
					["Halls of Crafting"]=0,
					["Halls of Night"]=0,
					["Haudh Iarchith"]=0,
					["Haudh Valandil"]=0,
					["Helegrod"]=0,
					["Helegrod: Dragon Wing"]=0,
					["Helegrod: Drake Wing"]=0,
					["Helegrod: Giant Wing"]=0,
					["Helegrod: Spider Wing"]=0
					},
				["I-S"]={
					["Inn of the Forsaken"]=0,
					["Lost Temple"]=0,
					["Lumul-nar"]=0,
					["Nala-dum"]=0,
					["Ost Dunhoth"]=0,
					["Pits of Isengard"]=0,
					["Sammath Gul"]=0,
					["Sâri-surma"]=0,
					["Sarnur"]=0,
					["Skirmishes: Adlan Campaign"]=0,
					["Skirmishes: Cannuilan Campaign"]=0,
					["Skirmishes: Enguilan Campaign"]=0,
					["Skirmishes: Eruilan Campaign"]=0,
					["Skirmishes: Lefnuilan Campaign"]=0,
					["Skirmishes: Naillan Campaign"]=0,
					["Skirmishes: Odothuilan Campaign"]=0,
					["Skumfil"]=0,
					["Stoneheight"]=0,
					["Sword-hall of Dol Guldur"]=0
					},
				["T-Z"]={
					["The Forges of Khazad-dum"]=0,
					["The Forgotten Treasury"]=0,
					["The Foundry"]=0,
					["The Grand Stair"]=0,
					["The Library at Tham Mirdain"]=0,
					["The Northcotton Farm"]=0,
					["The Rift of Nurz Ghashu"]=0,
					["The School at Tham Mirdain"]=0,
					["The Sixteenth Hall"]=0,
					["The Vile Maw"]=0,
					["Tower of Orthanc"]=0,
					["Urugarth"]=0,
					["Warg-pens of Dol Guldur"]=0
					}
				},
			["PvP"]={
				["Ettenmoors"]=0
				},
			["Quest Reward"]=0
		},
		["Recipe"] = {
			["All"] =0,
			["Cooking"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Farming"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Forestry"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Jeweller"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Metalworking"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Prospecting"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Scholar"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Tailor"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
			["Weaponsmith"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},			
			["Woodworking"] = {
				["All"] =0,
				["Tier 1"] = 0,
				["Tier 2"] = 0,
				["Tier 3"] = 0,
				["Tier 4"] = 0,
				["Tier 5"] = 0,
				["Tier 6"]=0,
				["Tier 7"]=0
			},
		},
		["Weapon"] = {
			["All"] =0,
			["One-handed"] = {
				["All"] =0,
				["Dagger"] = 0,
				["Axe"] = 0,
				["Club"] = 0,
				["Hammer"] = 0,
				["Mace"] = 0,
				["Spear"] = 0,
				["Sword"] = 0
			},
			["Two-handed"] = {
				["All"] =0,
				["Halberd"] = 0,
				["Staff"] = 0,
				["Axe"] = 0,
				["Club"] = 0,
				["Hammer"] = 0,
				["Sword"] = 0
			},
			["Ranged"] = {
				["All"] =0,
				["Crossbow"] = 0,
				["Bow"] = 0,
				["Javelin"] = 0
			},
			["Rune-stone"] = 0
		}	
	});
end
